<script setup>
import LoginPage from './components/LoginPage.vue';
import { onMounted, onUnmounted } from "vue";

const tg = window.Telegram.WebApp;

// Вызывается после того как компонент был смонтирован (отрисован)
onMounted(() => {
  tg.ready();
});

// Вызывается после того как компонент был размонтирован (удален)
onUnmounted(() => {});
</script>


<template>
  <div class="wrapper">
    <div class="content">
      <div class="header">
        <button @click="tg.close()" class="close-btn">
        <img src="close.svg"/></button>
      </div>
      <LoginPage />
    </div>
  </div>
</template>



<style>
body {
  margin: 0;
}
.wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background-color: rgb(234, 239, 248);

}

.content {
  max-width: 350px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: white;
  padding: 50px;
  border-radius: 8px;
  position: relative;
}

.header {
  display: flex;
  justify-content: end;
  width: 100%;
}

.close-btn {
  background-color: inherit;
  border: none;
  position: absolute;
  top: 30px;
  right: 30px;
}
</style>
